## knights 2.0.1

=== CMakeLists.txt ===
set(knights_SRCS
    core/pos.cpp
    core/piece.cpp
    core/move.cpp
    proto/protocol.cpp
    proto/xboardproto.cpp
 #   proto/ficsprotocol.cpp
    chessrules.cpp
    gamedialog.cpp
    board.cpp
    clockwidget.cpp
    knightsview.cpp
    knights.cpp
    main.cpp
 )

kde4_add_ui_files(knights_SRCS knightsview_base.ui prefs_base.ui gamedialog.ui clockwidget.ui)
kde4_add_kcfg_files(knights_SRCS settings.kcfgc )
kde4_add_executable(knights ${knights_SRCS})

target_link_libraries(knights ${KDE4_KDEUI_LIBS} kdegames)

install(TARGETS knights ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES knights.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES knights.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES knightsui.rc  DESTINATION  ${DATA_INSTALL_DIR}/knights )

=== debian/changelog ===
knights (2.0.1-2) unstable; urgency=low

  * Upload to unstable. (Closes: #604334, #591562, #528348, #366183)
  * Point debian/control Vcs fields to the new Git repository.
  * Bump Standards-Version to 3.9.1, no changes needed.
  * Move manpage to section 6 since this software is a game.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Feb 2011 21:59:24 +0100

knights (2.0.1-1) experimental; urgency=low

  * New upstream release.
  * Set myself as Uploader and Debian KDE Extras Team as Maintainer.
    (Closes: #512524)
  * Switch debian/rules to cdbs.
  * Updated Build-Depends:
    - Added: cdbs, pkg-kde-tools, cmake, kdelibs5-dev, libkdegames-dev
    - Removed: kdelibs4-dev, dpatch, poxml, imagemagick, libx11-dev,
      libxext-dev, libxinerama-dev, libxpm-dev, x-dev
  * Updated Depends:
    - Added: ${misc:Depends}
    - Removed: kdebase-kio-plugins
  * Updated Suggests and Recommends:
    - moved gnuchess from Suggests to Recommends
    - removed crafty, sjeng, knights-themepack
  * Set dephelper compatibility level to 7.
  * Switch to dpkg source format 3.0 (quilt).
  * Updated description and homepage.
  * Delete debian/watch for now because upstream is not using
    sourceforge anymore.
  * Updated debian/copyright.
  * Updated debian/knights.1 manpage.
  * Bump Standards-Version to 3.8.4.
  * Dropped obsolete patches:
    - 01_gcc-4.0-fix.dpatch
    - 02_de.po.dpatch
    - 03_noGPLonload.dpatch
    - 04_qt3_headers.dpatch
  * Added patch 01_add_categories_to_desktop_file.diff
  * Removed obsolete and uneccesary files debian/debiandirs debian/docs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Jun 2010 12:21:13 +0200

knights (0.6-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop obsolete QT compat headers, patch by Barry deFreese
    (Closes: #464630)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 02 Apr 2008 22:45:54 +0200

knights (0.6-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Fix bashism. (Closes: #459084)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 28 Jan 2008 00:00:08 +0100

knights (0.6-8) unstable; urgency=low

  * New Mantainer. (Closes: #439531)
  * debian/watch: Updated to version 3.
  * debian/control:
    - Build-Depends: debhelper (>= 5.0.0).
    - Suggests: knights-themepack
  * debian/compat: DH_COMPAT 5.
  * debian/rules: copy updated config.guess and config.sub files to admin
    directory.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 06 Sep 2007 18:31:36 -0300

knights (0.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't send the "st" (search time limit) command when using xboard to talk
    to chess engines; it makes some chess engines confused wrt. how much time
    they should spend on each move. Patch from Alex Midgley. (Closes: #366181)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 29 Aug 2006 00:41:44 +0200

knights (0.6-7) unstable; urgency=low

  * debian/control: added kdebase-kio-plugins to Depends field.
    This allow users without kde installations to be able to load knights
    themes. (Closes: #361451)
  * Added a dpatch (courtesy of Claudio Moratti) to prevent knights from asking
    to agree to GPL in order to install it. (Closes: #360847)
  * debian/control: Standards-Version bumped to 3.7.2 (no changes required).
  
 -- Tommaso Moroni <moronito@debian.org>  Sun, 28 May 2006 16:29:36 +0200

knights (0.6-6) unstable; urgency=low

  * Rebuild against kdelibs4c2a. (Closes: #338269)
  * debian/control: build-depends on specific libraries instead of xlibs-dev.

 -- Tommaso Moroni <moronito@debian.org>  Sun,  4 Dec 2005 11:55:42 +0100

knights (0.6-5) unstable; urgency=low

  * Installed a menu icon, thanks to Steffen Joeris 
    for the patch. (Closes: #333383)
  * debian/rules: removes po/de.gmo during cleaning and restores original
    doc/Makefile.in to allow multiple builds from the same source.
    Thanks to Steffen Joeris for the help. (Closes: #333386)
  
 -- Tommaso Moroni <moronito@debian.org>  Sun, 23 Oct 2005 17:51:37 +0200

knights (0.6-4) unstable; urgency=low

  * Rebuild for C++-4.0 ABI transition and for libjack0.80.0 removal. (Closes: #317207)
  * debian/patches: added corrections to the German PO file, 
    thanks to Jens Seidel. (Closes: #314004)
  * debian/control: Standards-Version bumped to 3.6.2 (no changes required).
    
 -- Tommaso Moroni <moronito@debian.org>  Sun, 11 Sep 2005 16:53:42 +0200

knights (0.6-3) unstable; urgency=low

  * debian/patches: added a patch to allow compilation with g++-4.0, 
    thanks to Andreas Jochens. (Closes: #300362)

 -- Tommaso Moroni <moronito@debian.org>  Sun, 20 Mar 2005 17:44:17 +0100

knights (0.6-2) unstable; urgency=low

  * debian/control: added xlibs-dev to the build-depends. (Closes: #300139)
  * debian/rules: added --enable-libsuffix= to configure command, so on some archs
    /lib64 isn't assumed as the only library directory suffix.
  * debian/copyright: made distinction between license and copyright.

 -- Tommaso Moroni <moronito@debian.org>  Fri, 18 Mar 2005 18:40:20 +0100

knights (0.6-1) unstable; urgency=low

  * Initial Release. (closes: #136271)

 -- Tommaso Moroni <moronito@debian.org>  Thu, 23 Dec 2004 11:20:19 +0100

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 7), cdbs, pkg-kde-tools, cmake, kdelibs5-dev (>> 4:4.4),
 libkdegames-dev (>> 4:4.4)
Standards-Version: 3.9.1
Homepage: http://kde-apps.org/content/show.php/Knights?content=122046
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/knights.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/knights.git

Package: knights
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess
Description: A chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer. 
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

## knights 2.3.2

=== CMakeLists.txt ===
project(Knights)

find_package(KDE4 REQUIRED)
find_package(LibKDEGames REQUIRED)
include (KDE4Defaults)
# TODO: check for gnuchess

set(CMAKE_CXX_FLAGS_PROFILE "-fprofile-arcs -ftest-coverage -pg")
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} ${KDEGAMES_INCLUDE_DIRS} )

if (${KDE_VERSION} VERSION_GREATER "4.5.60")
    option(KGR "Use KGameRenderer" ON)
    option(OCS_ABOUT "Use the social about dialog" ON)
endif (${KDE_VERSION} VERSION_GREATER "4.5.60")

set(QT_VERSION "${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}")
if (${QT_VERSION} VERSION_GREATER "4.6.0")
    option(ANIMATIONS "Use Qt Animations" ON)
endif()

macro_log_feature(ANIMATIONS "Qt Animation Framework" "Support for property animations in Qt"
		"http://qt.nokia.com" FALSE "4.6.0" "Animated moving of pieces")

add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( themes )
add_subdirectory( doc )

macro_display_feature_log()

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== doc/CMakeLists.txt ===
add_subdirectory(pt_BR)
add_subdirectory(et)
add_subdirectory(uk)
add_subdirectory(nl)
add_subdirectory(en_US)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ca@valencia)
add_subdirectory(da)
add_subdirectory(el)
add_subdirectory(ms)
add_subdirectory(hu)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(pt_BR)
add_subdirectory(sk)
add_subdirectory(ja)
add_subdirectory(it)
add_subdirectory(sr@latin)
add_subdirectory(et)
add_subdirectory(uk)
add_subdirectory(fi)
add_subdirectory(nds)
add_subdirectory(sr)
add_subdirectory(ml)
add_subdirectory(cs)
add_subdirectory(zh_TW)
add_subdirectory(pt)
add_subdirectory(sr@ijekavian)
add_subdirectory(nl)
add_subdirectory(lt)
add_subdirectory(ro)
add_subdirectory(fr)
add_subdirectory(ca)
add_subdirectory(es)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(ru)
add_subdirectory(en_GB)
add_subdirectory(eo)

=== src/CMakeLists.txt ===
set(knights_SRCS offerwidget.cpp gamemanager.cpp proto/textprotocol.cpp
    core/pos.cpp
    core/move.cpp
    core/renderer.cpp
    core/item.cpp
    core/piece.cpp

    proto/protocol.cpp
    proto/localprotocol.cpp
    proto/xboardproto.cpp
    proto/ficsprotocol.cpp
    proto/ficsdialog.cpp
    proto/seekgraph.cpp
    proto/chatwidget.cpp
   

    rules/chessrules.cpp

    gamedialog.cpp
    board.cpp
    clock.cpp
    clockwidget.cpp
    knightsview.cpp
    knights.cpp
    main.cpp
 )

if (KGR)
    add_definitions(-DWITH_KGR)
endif (KGR)

if (OCS_ABOUT)
    add_definitions(-DWITH_OCS)
endif (OCS_ABOUT)

if (${QT_VERSION} VERSION_GREATER "4.6.0")
    add_definitions(-DWITH_QT_46)
endif()

if (ANIMATIONS)
    add_definitions(-DWITH_ANIMATIONS)
endif()

kde4_add_ui_files(knights_SRCS
    knightsview_base.ui
    prefs_base.ui
    gamedialog.ui
    clockwidget.ui
    promotiondialog.ui
    proto/ficsdialog.ui
    proto/chatwidget.ui
    popup.ui
)
kde4_add_kcfg_files(knights_SRCS settings.kcfgc )
kde4_add_executable(knights ${knights_SRCS})

target_link_libraries(knights ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_PLASMA_LIBS} ${KDEGAMES_LIBRARY} ${QT_QTNETWORK_LIBRARY})

#add_subdirectory(qml)

install(TARGETS knights ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( PROGRAMS knights.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES knights.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES knightsui.rc  DESTINATION  ${DATA_INSTALL_DIR}/knights )
install( FILES knights.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

=== debian/changelog ===
knights (2.3.2-1) unstable; urgency=low

  * New upstream release.
  * Add load_right_default_theme.diff to prevent issues when you have configured
    a theme that doesn't exist (may happen easily with obsolete themes).

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 30 May 2011 21:39:08 +0200

knights (2.3.1-2) experimental; urgency=low
 
  * Remove 02_no_hotnewstuff.diff since knights GHNS is suposed to work
    fine with KDE 4.6 libraries.
  * Bump kdelibs5-dev, libkdegames-dev build dependencies to 4.6 because of the
    patch mentioned in the previous changelog entry.
  * Bump Standards-Version to 3.9.2; no changes needed.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 04 May 2011 21:10:20 +0200

knights (2.3.1-1) unstable; urgency=low

  * New upstream release.
  * Update patches:
    - Remove 03_dont_crash_fics.diff, no longer needed.
    - Remove 04_stop_clock_game_over.diff, no longer needed.
  * Add sjeng to Suggests.
  * Add crafty to Suggests.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 22 Mar 2011 17:09:46 +0100

knights (2.2.0-2) unstable; urgency=low

  * Provide a default.desktop symlink to make knights work even if the
    desktop file for the configured theme doesn't exist (this could easily
    happen if you're upgrading from knights 0.6 among other reasons).
  * Remove the starting article from short description.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 02 Mar 2011 22:32:04 +0100

knights (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_add_categories_to_desktop_file.diff, no longer needed.
  * Add 02_no_hotnewstuff.diff.
  * Add 03_dont_crash_fics.diff.
  * Add 04_stop_clock_game_over.diff.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 25 Feb 2011 21:37:40 +0100

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 7), cdbs, pkg-kde-tools, cmake, kdelibs5-dev (>> 4:4.6),
 libkdegames-dev (>> 4:4.6)
Standards-Version: 3.9.2
Homepage: http://kde-apps.org/content/show.php/Knights?content=122046
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/knights.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/knights.git

Package: knights
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess
Suggests: sjeng, crafty
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer. 
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

=== debian/rules ===
#!/usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED := yes
DEB_CMAKE_EXTRA_FLAGS += -DBIN_INSTALL_DIR=/usr/games
DEB_DH_INSTALL_ARGS += debian/knights.xpm /usr/share/pixmaps

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk

debian/knights.xpm: icons/hi32-app-knights.png
	convert $< $@

## knights 2.5.0

=== CMakeLists.txt ===
project(Knights)

find_package(KDE4 REQUIRED)
find_package(KDEGames REQUIRED)
include (KDE4Defaults)

set(CMAKE_CXX_FLAGS_PROFILE "-fprofile-arcs -ftest-coverage -pg")
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} ${KDEGAMES_INCLUDE_DIRS} )

add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( themes )
add_subdirectory( doc )

macro_display_feature_log()

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( doc )

=== doc/CMakeLists.txt ===
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(pt_BR)
add_subdirectory(it)
add_subdirectory(et)
add_subdirectory(uk)
add_subdirectory(pt)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(en_US)
add_subdirectory(ru)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -8,32 +8,32 @@
 add_subdirectory(ca@valencia)
 add_subdirectory(da)
 add_subdirectory(el)
-add_subdirectory(ms)
-add_subdirectory(hu)
+add_subdirectory(bs)
 add_subdirectory(sv)
 add_subdirectory(de)
+add_subdirectory(gl)
 add_subdirectory(pt_BR)
-add_subdirectory(sk)
-add_subdirectory(ja)
+add_subdirectory(nb)
 add_subdirectory(it)
+add_subdirectory(km)
 add_subdirectory(sr@latin)
+add_subdirectory(pl)
 add_subdirectory(et)
 add_subdirectory(uk)
 add_subdirectory(fi)
 add_subdirectory(nds)
 add_subdirectory(sr)
-add_subdirectory(ml)
 add_subdirectory(cs)
 add_subdirectory(zh_TW)
 add_subdirectory(pt)
 add_subdirectory(sr@ijekavian)
 add_subdirectory(nl)
 add_subdirectory(lt)
-add_subdirectory(ro)
+add_subdirectory(sl)
+add_subdirectory(nn)
 add_subdirectory(fr)
 add_subdirectory(ca)
 add_subdirectory(es)
 add_subdirectory(sr@ijekavianlatin)
+add_subdirectory(ga)
 add_subdirectory(ru)
-add_subdirectory(en_GB)
-add_subdirectory(eo)

=== src/CMakeLists.txt ===
set(knights_SRCS
    core/pos.cpp
    core/move.cpp
    core/item.cpp
    core/piece.cpp

    proto/protocol.cpp
    proto/localprotocol.cpp
    proto/textprotocol.cpp
    proto/ficsprotocol.cpp
    proto/computerprotocol.cpp
    proto/xboardprotocol.cpp
    proto/uciprotocol.cpp
    
    proto/seekgraph.cpp
    proto/chatwidget.cpp
    proto/ficsdialog.cpp
    
    rules/chessrules.cpp

    gamedialog.cpp
    offerwidget.cpp
    clock.cpp
    clockwidget.cpp
    historywidget.cpp
    enginesettings.cpp
    
    externalcontrol.cpp
    gamemanager.cpp
    
    board.cpp
    knightsview.cpp
    knights.cpp
    main.cpp
 )

kde4_add_ui_files(knights_SRCS
    knightsview_base.ui
    prefs_base.ui
    prefs_access.ui
    gamedialog.ui
    clockwidget.ui
    historywidget.ui
    promotiondialog.ui
    proto/ficsdialog.ui
    proto/chatwidget.ui
    popup.ui
    enginesettings.ui
    customdifficultydialog.ui
)
kde4_add_kcfg_files(knights_SRCS settings.kcfgc )
qt4_add_dbus_interfaces(knights_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml)
qt4_add_dbus_adaptor(knights_SRCS org.kde.Knights.xml externalcontrol.h Knights::ExternalControl)
kde4_add_executable(knights ${knights_SRCS})

target_link_libraries(knights ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_PLASMA_LIBS} ${KDE4_SOLID_LIBS} ${KDEGAMES_LIBRARY} ${QT_QTNETWORK_LIBRARY})

install(TARGETS knights ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( PROGRAMS knights.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES knights.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES knightsui.rc  DESTINATION  ${DATA_INSTALL_DIR}/knights )
install( FILES knights.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES org.kde.Knights.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

=== doc/de/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de SUBDIR knights )

=== doc/en_US/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR knights )

=== doc/es/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es SUBDIR knights )

=== doc/et/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/et SUBDIR knights )

=== doc/it/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it SUBDIR knights )

=== doc/nl/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl SUBDIR knights )

=== doc/pt/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt SUBDIR knights )

=== doc/pt_BR/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR SUBDIR knights )

=== debian/changelog ===
knights (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix typo in the description of knights-dbg. (Closes: #724819)
  * Remove menu file and its pixmap, as knights already provides a desktop
    file.
  * Migrate to the dh sequencer:
    - use the dh sequencer in rules, using the kde addon, with parallel build,
      and in as-needed mode
    - drop the cdbs build dependency
  * Bump Standards-Version to 3.9.6, no changes required.
  * Explicitly install to debian/knights, instead of the default debian/tmp
    followed by moves by dh_install.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 12:45:20 +0100

knights (2.5.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Update knights.xpm.
  * Bump the kdelibs5-dev and libkdegames-dev build dependencies to 4.9,
    as required upstream.
  * Update Vcs-* headers.
  * Bump Standards-Version to 3.9.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jul 2013 16:35:21 +0200

knights (2.4.2-1) experimental; urgency=low

  * New upstream release.
  * Delete load_right_default_theme.diff, applied upstream.
  * Bump debhelper compatibility level to 9.
  * Move sjeng from Suggests to Recommends.
  * Add stockfish to Recommends.
  * Add knights-dbg package.
  * Bump Standards-Version to 3.9.3; no changes needed.
  * Update copyright file.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 12 Sep 2012 23:49:48 +0200

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 9.0.0~), pkg-kde-tools, cmake,
 kdelibs5-dev (>> 4:4.9),
 libkdegames-dev (>> 4:4.9)
Standards-Version: 3.9.6
Homepage: http://kde-apps.org/content/show.php/Knights?content=122046
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/knights.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/knights.git

Package: knights
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess, stockfish, sjeng
Suggests: crafty
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer. 
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

Package: knights-dbg
Section: debug
Priority: extra
Architecture: any
Depends: knights (= ${binary:Version}), ${misc:Depends}
Description: chess interface for the KDE Platform - debugging symbols
 Knights aims to be the ultimate chess resource on your computer. 
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.
 .
 This package provides debugging symbols for knights.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DBIN_INSTALL_DIR=/usr/games

override_dh_auto_install:
	dh_auto_install --destdir=debian/knights

override_dh_strip:
	dh_strip --dbg-package=knights-dbg

## knights 010

=== Makefile ===
# Makefile for Knights
# This file is generated automatically by makemakefile.py

# NOTE: Audio can be disabled by adding -DDISABLE_SOUND to the CPPFLAGS.
# This is useful if audio doesn't work on your system for some reason.

# NOTE: If you have boost in a non standard location then you may need
# to add some -I flags to the CPPFLAGS, and/or edit the BOOST_LIBS.

PREFIX = /usr/local
BIN_DIR = $(PREFIX)/bin
DOC_DIR = $(PREFIX)/share/doc/knights
DATA_DIR = $(PREFIX)/share/knights

KNIGHTS_BINARY_NAME = knights
SERVER_BINARY_NAME = knights_server

CC = gcc
CXX = g++
STRIP = strip

CPPFLAGS = -DUSE_FONTCONFIG -DDATA_DIR=$(DATA_DIR) -DNDEBUG
CFLAGS = -O3 -ffast-math
CXXFLAGS = $(CFLAGS)
BOOST_LIBS = -lboost_thread

INSTALL = install


########################################################################


OFILES_MAIN = src/coercri/gfx/bitmap_font.o src/coercri/network/byte_buf.o src/coercri/gcn/cg_font.o src/coercri/gcn/cg_graphics.o src/coercri/gcn/cg_image.o src/coercri/gcn/cg_input.o src/coercri/gcn/cg_listener.o src/coercri/enet/enet_network_connection.o src/coercri/enet/enet_network_driver.o src/coercri/enet/enet_udp_socket.o src/coercri/gfx/gfx_context.o src/coercri/sdl/core/istream_rwops.o src/coercri/gfx/key_name.o src/coercri/gfx/load_bmp.o src/coercri/gfx/load_system_ttf.o src/coercri/gfx/region.o src/coercri/sdl/core/sdl_error.o src/coercri/sdl/gfx/sdl_gfx_context.o src/coercri/sdl/gfx/sdl_gfx_driver.o src/coercri/sdl/gfx/sdl_graphic.o src/coercri/sdl/sound/sdl_sound_driver.o src/coercri/sdl/core/sdl_subsystem_handle.o src/coercri/sdl/timer/sdl_timer.o src/coercri/sdl/gfx/SDL_ttf.o src/coercri/sdl/gfx/sdl_ttf_font.o src/coercri/sdl/gfx/sdl_ttf_loader.o src/coercri/sdl/gfx/sdl_window.o src/coercri/gfx/window.o src/external/enet/callbacks.o src/external/enet/host.o src/external/enet/list.o src/external/enet/packet.o src/external/enet/peer.o src/external/enet/protocol.o src/external/enet/unix.o src/external/enet/win32.o src/external/guichan/src/actionevent.o src/external/guichan/src/basiccontainer.o src/external/guichan/src/widgets/button.o src/external/guichan/src/widgets/checkbox.o src/external/guichan/src/cliprectangle.o src/external/guichan/src/color.o src/external/guichan/src/widgets/container.o src/external/guichan/src/defaultfont.o src/external/guichan/src/widgets/dropdown.o src/external/guichan/src/event.o src/external/guichan/src/exception.o src/external/guichan/src/focushandler.o src/external/guichan/src/font.o src/external/guichan/src/genericinput.o src/external/guichan/src/graphics.o src/external/guichan/src/gui.o src/external/guichan/src/guichan.o src/external/guichan/src/widgets/icon.o src/external/guichan/src/image.o src/external/guichan/src/widgets/imagebutton.o src/external/guichan/src/imagefont.o src/external/guichan/src/inputevent.o src/external/guichan/src/key.o src/external/guichan/src/keyevent.o src/external/guichan/src/keyinput.o src/external/guichan/src/widgets/label.o src/external/guichan/src/widgets/listbox.o src/external/guichan/src/mouseevent.o src/external/guichan/src/mouseinput.o src/external/guichan/src/widgets/radiobutton.o src/external/guichan/src/rectangle.o src/external/guichan/src/widgets/scrollarea.o src/external/guichan/src/selectionevent.o src/external/guichan/src/widgets/slider.o src/external/guichan/src/widgets/tab.o src/external/guichan/src/widgets/tabbedarea.o src/external/guichan/src/widgets/textbox.o src/external/guichan/src/widgets/textfield.o src/external/guichan/src/widget.o src/external/guichan/src/widgets/window.o src/kconfig/gold_parser.o src/kconfig/kconfig_loader.o src/kconfig/kfile.o src/kconfig/random_int.o src/client/client_config.o src/client/knights_client.o src/engine/impl/action.o src/engine/impl/concrete_quests.o src/engine/impl/concrete_traps.o src/engine/impl/control_actions.o src/engine/impl/create_quest.o src/engine/impl/creature.o src/engine/impl/dispel_magic.o src/engine/impl/dungeon_generator.o src/engine/impl/dungeon_layout.o src/engine/impl/dungeon_map.o src/engine/impl/entity.o src/engine/impl/event_manager.o src/engine/impl/gore_manager.o src/engine/impl/healing_task.o src/engine/impl/home_manager.o src/engine/impl/item.o src/engine/impl/item_generator.o src/engine/impl/item_respawn_task.o src/engine/impl/item_type.o src/engine/impl/knight.o src/engine/impl/knight_task.o src/engine/impl/knights_config.o src/engine/impl/knights_config_impl.o src/engine/impl/knights_engine.o src/engine/impl/lockable.o src/engine/impl/magic_actions.o src/engine/impl/magic_map.o src/engine/impl/mediator.o src/engine/impl/menu_constraints.o src/engine/impl/missile.o src/engine/impl/monster.o src/engine/impl/monster_definitions.o src/engine/impl/monster_manager.o src/engine/impl/monster_support.o src/engine/impl/monster_task.o src/engine/impl/player.o src/engine/impl/player_task.o src/engine/impl/room_map.o src/engine/impl/script_actions.o src/engine/impl/segment.o src/engine/impl/segment_set.o src/engine/impl/special_tiles.o src/engine/impl/stuff_bag.o src/engine/impl/sweep.o src/engine/impl/task_manager.o src/engine/impl/teleport.o src/engine/impl/tile.o src/engine/impl/view_manager.o src/main/adjust_list_box_size.o src/main/connecting_screen.o src/main/credits_screen.o src/main/draw.o src/main/entity_map.o src/main/error_screen.o src/main/find_server_screen.o src/main/game_manager.o src/main/gfx_manager.o src/main/gfx_resizer_compose.o src/main/gfx_resizer_nearest_nbr.o src/main/gfx_resizer_scale2x.o src/main/graphic_transform.o src/main/gui_button.o src/main/gui_centre.o src/main/gui_draw_box.o src/main/gui_panel.o src/main/gui_simple_container.o src/main/gui_text_wrap.o src/main/in_game_screen.o src/main/keyboard_controller.o src/main/knights_app.o src/main/load_font.o src/main/loading_screen.o src/main/lobby_screen.o src/main/local_display.o src/main/local_dungeon_view.o src/main/local_mini_map.o src/main/local_status_display.o src/main/main.o src/main/make_scroll_area.o src/main/menu_screen.o src/main/options.o src/main/options_screen.o src/main/password_screen.o src/main/potion_renderer.o src/main/skull_renderer.o src/main/sound_manager.o src/main/tab_font.o src/main/text_formatter.o src/main/title_block.o src/main/title_screen.o src/main/x_centre.o src/server/impl/knights_game.o src/server/impl/knights_server.o src/server/impl/server_callbacks.o src/server/impl/server_dungeon_view.o src/server/impl/server_mini_map.o src/server/impl/server_status_display.o src/shared/impl/anim.o src/shared/impl/colour_change.o src/shared/impl/graphic.o src/shared/impl/menu.o src/shared/impl/menu_item.o src/shared/impl/menu_selections.o src/shared/impl/overlay.o src/shared/impl/sound.o src/shared/impl/user_control.o src/misc/config_map.o src/misc/krandom.o src/misc/metaserver_urls.o src/misc/rng.o src/misc/round.o src/rstream/rstream.o src/rstream/rstream_rwops.o

OFILES_SERVER = src/external/enet/callbacks.o src/external/enet/host.o src/external/enet/list.o src/external/enet/packet.o src/external/enet/peer.o src/external/enet/protocol.o src/external/enet/unix.o src/external/enet/win32.o src/kconfig/gold_parser.o src/kconfig/kconfig_loader.o src/kconfig/kfile.o src/kconfig/random_int.o src/engine/impl/action.o src/engine/impl/concrete_quests.o src/engine/impl/concrete_traps.o src/engine/impl/control_actions.o src/engine/impl/create_quest.o src/engine/impl/creature.o src/engine/impl/dispel_magic.o src/engine/impl/dungeon_generator.o src/engine/impl/dungeon_layout.o src/engine/impl/dungeon_map.o src/engine/impl/entity.o src/engine/impl/event_manager.o src/engine/impl/gore_manager.o src/engine/impl/healing_task.o src/engine/impl/home_manager.o src/engine/impl/item.o src/engine/impl/item_generator.o src/engine/impl/item_respawn_task.o src/engine/impl/item_type.o src/engine/impl/knight.o src/engine/impl/knight_task.o src/engine/impl/knights_config.o src/engine/impl/knights_config_impl.o src/engine/impl/knights_engine.o src/engine/impl/lockable.o src/engine/impl/magic_actions.o src/engine/impl/magic_map.o src/engine/impl/mediator.o src/engine/impl/menu_constraints.o src/engine/impl/missile.o src/engine/impl/monster.o src/engine/impl/monster_definitions.o src/engine/impl/monster_manager.o src/engine/impl/monster_support.o src/engine/impl/monster_task.o src/engine/impl/player.o src/engine/impl/player_task.o src/engine/impl/room_map.o src/engine/impl/script_actions.o src/engine/impl/segment.o src/engine/impl/segment_set.o src/engine/impl/special_tiles.o src/engine/impl/stuff_bag.o src/engine/impl/sweep.o src/engine/impl/task_manager.o src/engine/impl/teleport.o src/engine/impl/tile.o src/engine/impl/view_manager.o src/server/impl/knights_game.o src/server/impl/knights_server.o src/server/impl/server_callbacks.o src/server/impl/server_dungeon_view.o src/server/impl/server_mini_map.o src/server/impl/server_status_display.o src/shared/impl/anim.o src/shared/impl/colour_change.o src/shared/impl/graphic.o src/shared/impl/menu.o src/shared/impl/menu_item.o src/shared/impl/menu_selections.o src/shared/impl/overlay.o src/shared/impl/sound.o src/shared/impl/user_control.o src/svr_main/config.o src/svr_main/server_main.o src/misc/config_map.o src/misc/krandom.o src/misc/metaserver_urls.o src/misc/rng.o src/misc/round.o src/rstream/rstream.o src/rstream/rstream_rwops.o src/coercri/network/byte_buf.o src/coercri/enet/enet_network_driver.o src/coercri/enet/enet_network_connection.o src/coercri/enet/enet_udp_socket.o src/coercri/sdl/core/sdl_error.o src/coercri/sdl/core/sdl_subsystem_handle.o src/coercri/sdl/timer/sdl_timer.o



build: $(KNIGHTS_BINARY_NAME) $(SERVER_BINARY_NAME)


src/external/enet/callbacks.o: src/external/enet/callbacks.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -Isrc/external  -MD -c -o $@ $<
	@cp $*.d $*.P; \
	  sed -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
	      -e '/^$$/ d' -e 's/$$/ :/' < $*.d >> $*.P; \
	  rm -f $*.d
src/external/enet/host.o: src/external/enet/host.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -Isrc/external  -MD -c -o $@ $<
	@cp $*.d $*.P; \
	  sed -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
	      -e '/^$$/ d' -e 's/$$/ :/' < $*.d >> $*.P; \
	  rm -f $*.d
src/external/enet/list.o: src/external/enet/list.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -Isrc/external  -MD -c -o $@ $<
	@cp $*.d $*.P; \
	  sed -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
	      -e '/^$$/ d' -e 's/$$/ :/' < $*.d >> $*.P; \
	  rm -f $*.d
src/external/enet/packet.o: src/external/enet/packet.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -Isrc/external  -MD -c -o $@ $<
	@cp $*.d $*.P; \
	  sed -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
	      -e '/^$$/ d' -e 's/$$/ :/' < $*.d >> $*.P; \
	  rm -f $*.d
src/external/enet/peer.o: src/external/enet/peer.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -Isrc/external  -MD -c -o $@ $<
	@cp $*.d $*.P; \
	  sed -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
	      -e '/^$$/ d' -e 's/$$/ :/' < $*.d >> $*.P; \
	  rm -f $*.d
src/external/enet/protocol.o: src/external/enet/protocol.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -Isrc/external  -MD -c -o $@ $<
	@cp $*.d $*.P; \
	  sed -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
	      -e '/^$$/ d' -e 's/$$/ :/' < $*.d >> $*.P; \
	  rm -f $*.d
src/external/enet/unix.o: src/external/enet/unix.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -Isrc/external  -MD -c -o $@ $<
	@cp $*.d $*.P; \
	  sed -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
	      -e '/^$$/ d' -e 's/$$/ :/' < $*.d >> $*.P; \
	  rm -f $*.d
src/external/enet/win32.o: src/external/enet/win32.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -Isrc/external  -MD -c -o $@ $<
	@cp $*.d $*.P; \
	  sed -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
	      -e '/^$$/ d' -e 's/$$/ :/' < $*.d >> $*.P; \
	  rm -f $*.d
src/svr_main/config.o: src/svr_main/config.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) `sdl-config --cflags` `curl-config --cflags` -Isrc/misc -Isrc/coercri -Isrc/engine -Isrc/external -Isrc/rstream -Isrc/server -Isrc/shared -Icurl/include  -MD -c -o $@ $<
	@cp $*.d $*.P; \
	  sed -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \

## knights 18.12.0

=== debian/changelog ===
knights (18.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch the watch file to stable releases, now that there are.

 -- Pino Toscano <pino@debian.org>  Mon, 17 Dec 2018 13:30:39 +0100

knights (18.11.90-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make sure to use the kf5 buildsystem when invoking dh_auto_configure.

 -- Pino Toscano <pino@debian.org>  Fri, 30 Nov 2018 22:38:19 +0100

knights (18.11.80-1) unstable; urgency=medium

  * Team upload.
  * New upstream development release: (Closes: #874962) (LP: #1757703)
    - now part of KDE Applications, so adopt its versioning
  * Switch Vcs-* fields to salsa.debian.org.
  * Remove knights-dbg in favour of the -dbgsym package
    - stop forcing --destdir for dh_auto_install, as there is only one binary
      now
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Drop the Debian-provided knights man page, as knights does not really have
    command line options.
  * Remove trailing whitespaces in changelog, and control.
  * Remove empty line at the end of changelog.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Add a watch file.
  * Add the upstream GPG signing key.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, and libkdegames-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev,
      libqt5texttospeech5-dev, libkf5configwidgets-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5kio-dev, libkf5plasma-dev,
      libkf5plotting-dev, libkf5textwidgets-dev, libkf5xmlgui-dev,
      libkf5wallet-dev, and libkf5kdegames-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Switch the Homepage to kde.org.
  * Switch Maintainer to Debian Qt/KDE Maintainers.
  * Bump the cmake build dependency to >= 3.2.0, as indicated by the upstream
    build system.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Nov 2018 22:20:19 +0100

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 11~), pkg-kde-tools (>= 0.15.16), cmake (>= 3.2.0),
 extra-cmake-modules (>= 5.30.0~),
 qtbase5-dev (>= 5.7.0~),
 libqt5svg5-dev (>= 5.7.0~),
 libqt5texttospeech5-dev (>= 5.7.0~),
 libkf5configwidgets-dev (>= 5.30.0~),
 libkf5crash-dev (>= 5.30.0~),
 libkf5dbusaddons-dev (>= 5.30.0~),
 libkf5doctools-dev (>= 5.30.0~),
 libkf5kio-dev (>= 5.30.0~),
 libkf5plasma-dev (>= 5.30.0~),
 libkf5plotting-dev (>= 5.30.0~),
 libkf5textwidgets-dev (>= 5.30.0~),
 libkf5xmlgui-dev (>= 5.30.0~),
 libkf5wallet-dev (>= 5.30.0~),
 libkf5kdegames-dev,
Standards-Version: 4.2.1
Homepage: https://www.kde.org/applications/games/knights/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knights
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knights.git

Package: knights
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess, stockfish, sjeng
Suggests: crafty
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer.
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

## knights 18.12.0.1+rb2

=== CMakeLists.txt ===
project(Knights)

cmake_minimum_required (VERSION 3.2.0 FATAL_ERROR)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wundef -Wpointer-arith -Wcast-align -Wunreachable-code -fno-omit-frame-pointer -fstack-protector -fno-exceptions")

#set(CMAKE_CXX_FLAGS_PROFILE "-fprofile-arcs -ftest-coverage -pg")

include(FeatureSummary)
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
   Concurrent
   Core
   Gui
   Widgets
   Svg
)

find_package(Qt5TextToSpeech ${QT_REQUIRED_VERSION} QUIET)
set_package_properties(Qt5TextToSpeech PROPERTIES
   PURPOSE "Speaking of opponents moves")
if (Qt5TextToSpeech_FOUND)
   add_definitions(-DHAVE_SPEECH)
endif ()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
  DBusAddons
  ConfigWidgets
  Crash
  TextWidgets
  XmlGui
  KIO
  Plotting
  DocTools
  Wallet
  Plasma
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x50600)

add_subdirectory(doc)
add_subdirectory(icons)
add_subdirectory(sounds)
add_subdirectory(src)
add_subdirectory(themes)

install( FILES knights.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
knights (18.12.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 11:07:20 +0800

## knights 18.12.3

=== debian/changelog ===
knights (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:30:45 +0000

knights (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)
  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 21 Feb 2019 12:11:49 +0000

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake (>= 3.2.0),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4:18.12.3~),
               libkf5kio-dev (>= 5.30.0~),
               libkf5plasma-dev (>= 5.30.0~),
               libkf5plotting-dev (>= 5.30.0~),
               libkf5textwidgets-dev (>= 5.30.0~),
               libkf5wallet-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libqt5svg5-dev (>= 5.7.0~),
               libqt5texttospeech5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.2.1
Homepage: https://www.kde.org/applications/games/knights/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knights
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knights.git

Package: knights
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess, stockfish, sjeng
Suggests: crafty
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer.
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

## knights 19.04.3

=== debian/changelog ===
knights (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:16:23 +0100

knights (19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:09:03 +0100

knights (19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:00:07 +0100

knights (19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:45:42 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5crash-dev (>= 5.30.0~),
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5plasma-dev (>= 5.30.0~),
                libkf5plotting-dev (>= 5.30.0~),
